import request from '@/utils/request'

// 查询金蝶生产计划列表
export function listProductionPlanPro(query) {
  return request({
    url: '/system/productionPlanPro/list',
    method: 'get',
    params: query
  })
}

// 查询金蝶生产计划详细
export function getProductionPlanPro(id) {
  return request({
    url: '/system/productionPlanPro/' + id,
    method: 'get'
  })
}

// 新增金蝶生产计划
export function addProductionPlanPro(data) {
  return request({
    url: '/system/productionPlanPro',
    method: 'post',
    data: data
  })
}

// 修改金蝶生产计划
export function updateProductionPlanPro(data) {
  return request({
    url: '/system/productionPlanPro',
    method: 'put',
    data: data
  })
}

// 删除金蝶生产计划
export function delProductionPlanPro(id) {
  return request({
    url: '/system/productionPlanPro/' + id,
    method: 'delete'
  })
}
